From 471850741895d009556447c56e1c5c88f0af468f Mon Sep 17 00:00:00 2001
From: Tomas Vondra <tomas@2ndquadrant.com>
Date: Mon, 17 Jun 2024 16:53:27 +0200
Subject: [PATCH v20240617 44/56] review

---
 src/backend/statistics/extended_stats.c | 5 +++++
 src/test/regress/sql/stats_ext.sql      | 1 +
 2 files changed, 6 insertions(+)

diff --git a/src/backend/statistics/extended_stats.c b/src/backend/statistics/extended_stats.c
index d6f1c70ae64..1289b0a2c53 100644
--- a/src/backend/statistics/extended_stats.c
+++ b/src/backend/statistics/extended_stats.c
@@ -2908,6 +2908,7 @@ statext_is_supported_join_clause(PlannerInfo *root, Node *clause)
 	if (left_relid == right_relid)
 		return false;
 
+	/* FIXME add some comments explainig why we need to do this */
 	var = (Var *) linitial(opclause->args);
 	if (IsA(var, Var) && var->varattno < 0)
 		return false;
@@ -3211,6 +3212,10 @@ extract_relation_info(PlannerInfo *root, JoinPairInfo *info, int index,
 	 * side of join has to use a stats which match or superset of expression here.
 	 * at last mcv_combine_extended should be improved to handle the not-exactly-same
 	 * mcv.
+	 *
+	 * XXX I don't understand what "above limitation" this refers to. The comment
+	 * would benefit from some clarification, but I'm not sure what it's trying
+	 * to say exactly :-(
 	 */
 	*stat = statext_find_matching_mcv(root, rel, attnums, exprs, base_conditions);
 
diff --git a/src/test/regress/sql/stats_ext.sql b/src/test/regress/sql/stats_ext.sql
index 798ee78265e..e030560a4c5 100644
--- a/src/test/regress/sql/stats_ext.sql
+++ b/src/test/regress/sql/stats_ext.sql
@@ -1597,6 +1597,7 @@ SELECT * FROM check_estimated_rows('select * from join_test_1 j1 join join_test_
 
 -- test join with system column var, but the ext statistics can't be built in system attribute AND extended statistics
 -- must covers all the join columns, so the following 2 statements can use extended statistics for join.
+-- FIXME needs to be added to the expected output
 SELECT * FROM check_estimated_rows('select * from join_test_1 j1 join join_test_2 j2 on ((j1.a + 1 = j2.a + 1) and (j1.b = j2.b)) and j1.cmin = j2.cmin');
 -- Join with system column expression.
 SELECT * FROM check_estimated_rows('select * from join_test_1 j1 join join_test_2 j2 on ((j1.a + 1 = j2.a + 1) and (j1.b = j2.b)) and j1.cmin::text::int4 = j2.cmin::text::int4');
-- 
2.45.2

